GET
/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/inventories2609170000Query quantity/price/status by product items
# 01
Summary
Query quantity/price/status by product items
# 02
Details
Available buyer market: Korea, Taiwan
Query number of stock, selling price and sales status of each product item.
Path
GET/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/inventories
Example endpoint
https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/vendor-items/{vendorItemId}/inventoriesURL API Name
GET_PRODUCT_QUANTITY_PRICE_STATUS
# 03
Path parameters
| Name | Type | Description |
|---|---|---|
| vendorItemId* | number | Option ID It is a unique number given to a vendor item. |
# 04
Response body
Response message
| Name | Type | Description |
|---|---|---|
| code | string | Result code SUCCESS/ERROR |
| message | string | Result message
|
| data | object | Queried option quantity/price/status
|
| sellerItemId data.sellerItemId | integer | Option ID
|
| amountInStock data.amountInStock | integer | Remaining quantity of option
|
| salePrice data.salePrice | integer | Option selling price
|
| onSale data.onSale | boolean | Option sale status true/false |
Response Example
{
"code": "SUCCESS",
"message": "",
"data": {
"sellerItemId": 3000000000,
"amountInStock": 0,
"salePrice": 32000,
"onSale": true
}
}# 05
Error codes
| HTTP | Code | Message |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
Error specification
| HTTP | Type | Error message | Solution |
|---|---|---|---|
| 400 | 400 (Check request parameter) | There is no valid option:[vendorItemId=3039***378] | Check if option ID(vendorItemId) value is entered correctly. Check if option ID(vendorItemId) is deleted. |
| 400 | 400 (Check request parameter) | Unvalid ID is entered. | Check if correct optionID(vendorItemId) value is entered. |